Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class DeclareTransactionRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.DeclareTransactionRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:10:54+02:00",
               comments="JAXB RI v2.3.6")
    public class DeclareTransactionRequest

extends Object
implements Serializable

Java class for DeclareTransactionRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeclareTransactionRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element name="kmehrheader" type="{http://www.ehealth.fgov.be/hubservices/core/v2}KmehrHeaderDeclareTransactionType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeclareTransactionRequest()`

Method Summary
`KmehrHeaderDeclareTransactionType` | `getKmehrheader()` Gets the value of the kmehrheader property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setKmehrheader(KmehrHeaderDeclareTransactionType value)` Sets the value of the kmehrheader property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeclareTransactionRequest

    public DeclareTransactionRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getKmehrheader

    public KmehrHeaderDeclareTransactionType getKmehrheader()

  Gets the value of the kmehrheader property.

  Returns:
    possible object is `KmehrHeaderDeclareTransactionType`

### setKmehrheader

    public void setKmehrheader(KmehrHeaderDeclareTransactionType value)

  Sets the value of the kmehrheader property.

  Parameters:
    `value` - allowed object is `KmehrHeaderDeclareTransactionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.